
Redmine - Defect #38242

Show negative values with Textile

2023-02-03 10:01 - thuruk thuruk

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

I encountered this problem while make a list like this :

- Item 1 had a temperature of 12°C

- Item 2 had a temperature of 12°C

Item 3 had a temperature of -12°C

As you can see, the minus value gets interpreted as a strike-out. This doesn't make much sense at first glance, as you would expect

the return to line to prevent this as it is a clear visual demarcation.

History

#1 - 2023-02-07 19:14 - Holger Just

This is likely an artifact of the textile parsing where the strike-through has higher precedence than the lists.

As a workaround, you may use

* Item 2 had a temperature of -12°C

* Item 3 had a temperature of -12°C

 rather than

- Item 2 had a temperature of -12°C

- Item 3 had a temperature of -12°C

 from your example. These bullet characters are also generated by the bullet list button above the texfield. With the bulleted list, this gets rendered as

Item 2 had a temperature of -12°C

Item 3 had a temperature of -12°C

#2 - 2024-11-15 08:31 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix
